Home / Troubleshooting ladders, captures, and debug / Status codes you will actually see
Status codes you will actually see
Read provisional and final codes from RFC 3261 section 21, and keep 422 with RFC 4028.
Learn in 5 minutes
- Separate provisional codes from final ones
- Place 422 with the session-timer RFC
- Use 488 for this UA and 606 for a global refusal
Visual
422 is Session Interval Too Small from RFC 4028. The other rows are the RFC 3261 section 21 phrases this lesson teaches, plus 606.
Worked example
Name the 487 Step the ladder. Which response ends the INVITE, and which 200 belongs to the CANCEL?
- Press Play.
- Step until the hop named in the question.
- Inspect that message and answer the check.
Fault
A carrier answers Session-Expires: 90 with 422 and Min-SE: 1800. The ticket says RFC 3261 section 21 defines 422.
The reason phrase is Session Interval Too Small. The base section 21 list is the wrong citation.
Quiz
Ecosystem
Glossary, sister systems, and the integration seam for this room.
Quality management and recording QM scores interactions. The standardized way an SBC forks a session to a recorder is SIPREC.
Sources and go deeper
- RFC 3261 §21 — last checked 2026-10
- RFC 3261 §8 — last checked 2026-10
- RFC 3261 §22 — last checked 2026-10
- RFC 3261 §17 — last checked 2026-10
- RFC 3264 — last checked 2026-10
- RFC 4028 — last checked 2026-10